Bug 518477 - Anaconda creates the wrong disklabel for very large devices
Summary: Anaconda creates the wrong disklabel for very large devices
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:f190d358acb8b8cd5...
Depends On:
Blocks: 604182
TreeView+ depends on / blocked
 
Reported: 2009-08-20 14:50 UTC by Peter Jones
Modified: 2010-12-05 06:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 604182 (view as bug list)
Environment:
Last Closed: 2010-12-05 06:35:13 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (132.15 KB, text/plain)
2009-08-20 14:50 UTC, Peter Jones
no flags Details
Attached traceback automatically from anaconda. (61.59 KB, text/plain)
2009-09-23 12:12 UTC, Jan Stodola
no flags Details

Description Peter Jones 2009-08-20 14:50:12 UTC
The following was filed automatically by anaconda:
anaconda 12.16 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/parted/disk.py", line 202, in addPartition
    constraint.getPedConstraint())
  File "/usr/lib64/python2.6/site-packages/parted/decorators.py", line 30, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in addPartition
  File "/tmp/updates/storage/partitioning.py", line 841, in allocatePartitions
    constraint=constraint)
  File "/tmp/updates/storage/partitioning.py", line 1013, in growPartitions
    allocatePartitions(disks, partitions)
  File "/tmp/updates/storage/partitioning.py", line 591, in doPartitioning
    growPartitions(disks, partitions)
  File "/tmp/updates/storage/partitioning.py", line 195, in doAutoPartition
    exclusiveDisks=anaconda.id.storage.clearPartDisks)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
PartitionException: partition length of 4965225667 sectors exceeds the msdos-partition-table-imposed maximum of 4294967295

Comment 1 Peter Jones 2009-08-20 14:50:18 UTC
Created attachment 358112 [details]
Attached traceback automatically from anaconda.

Comment 2 Joel Andres Granados 2009-08-26 09:10:22 UTC
I'm guessing that we need to create a gpt partition in these cases.  Since msdos cannot address drives that are greater than 2T.

Comment 3 Jan Stodola 2009-09-23 12:12:08 UTC
Created attachment 362286 [details]
Attached traceback automatically from anaconda.

Comment 4 Bug Zapper 2009-11-16 11:34:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-11-04 10:26:53 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:35:13 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.